/******************************************************************
*  源程序名：ModelTask6_3_2.cpp                 　　　　　　            *
*  功能：猜数游戏。用自定义函数比较两数的大小。                         *
******************************************************************/
#include <iostream.h>
#include <stdlib.h>//为使用srand、rand函数
#include <time.h>//为使用time函数
int numCompare(int x,int y);
void main()
{
	int objNum,guessNum,count;//随机数、猜测数、剩余机会
	count=3;//最初剩余3次机会
	srand(time(NULL));//用系统时间做随机数种子
	objNum=rand();//生成随机数
	objNum=objNum%8+1;//控制随机数在1~8之间
	while(count!=0)//还有机会
	{
		cout<<"请猜出目标数(1~8),还有"<<count<<"次机会:";
		cin>>guessNum;
		if (numCompare(guessNum,objNum)==0)//调用函数，相等
		{
			cout<<"成功!"<<endl;
			exit(0);//退出程序
		}
		else if (numCompare(guessNum,objNum)<0)
			cout<<"猜小了!"<<endl;
		else
			cout<<"猜大了!"<<endl;
		count--;//机会减少一次
		if (count>0)//还有机会，输出提示信息
			cout<<"请再猜!"<<endl;
		
	}
	cout<<"目标数为"<<objNum<<",失败!"<<endl;//三次均未猜中
}
int numCompare(int x,int y)//比较两个整数的大小
{
	int flag;
	if (x>y)
		flag=1;
	else if (x==y)
		flag=0;
	else
		flag=-1;
	return flag;
}